## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond check 1

%global crate bindgen-cli

Name:           rust-bindgen-cli
Version:        0.72.0
Release:        %autorelease
Summary:        Automatically generates Rust FFI bindings to C and C++ libraries

License:        BSD-3-Clause
URL:            https://crates.io/crates/bindgen-cli
Source:         %{crates_source}

# vendor tarball is generated by running:
#   tar xf bindgen-cli-%%{version}.crate
#   pushd bindgen-cli-%%{version}
#   cargo vendor-filterer --versioned-dirs \
#       --platform={aarch64,i686,powerpc64le,s390x,x86_64}-unknown-linux-gnu
#   tar --sort=name -Jcvf ../bindgen-cli-%%{version}-vendor.tar.xz vendor/
#   popd
Source1:        bindgen-cli-%{version}-vendor.tar.xz

BuildRequires:  rust-toolset

%global _description %{expand:
Automatically generates Rust FFI bindings to C and C++ libraries.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-3.0
# Apache-2.0
# Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        %{shrink:
    BSD-3-Clause AND
    Apache-2.0 AND
    ISC AND
    MIT AND
    Unicode-3.0 AND
    (Apache-2.0 OR MIT) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

# /usr/bin/bindgen was moved from bindgen to bindgen-cli with v0.61
Provides:       bindgen = %{version}-%{release}
Obsoletes:      bindgen < 0.61

# /usr/bin/bindgen requires libclang.so at runtime
Requires:       clang-libs
# We also need it to run `bindgen` library tests.
BuildRequires:  clang-libs

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_bindir}/bindgen

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%{cargo_vendor_manifest}

%install
%cargo_install

%if %{with check}
%check
%cargo_test
# Run the library tests since we're not packaging that separately.
%{cargo_test} --package bindgen
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jun 10 2025 Josh Stone <jistone@redhat.com> - 0.72.0-1
- Update to 0.72.0; filter vendored crates

* Thu May 15 2025 Fabio Valentini <decathorpe@gmail.com> - 0.71.1-2
- Build with vendored dependencies on RHEL

* Tue Apr 22 2025 Fabio Valentini <decathorpe@gmail.com> - 0.71.1-1
- Update to version 0.71.1; Fixes RHBZ#2305396

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.69.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.69.5-1
- Update to version 0.69.5

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.69.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.69.4-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Wed Feb 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.69.4-1
- Update to version 0.69.4; Fixes RHBZ#2247522

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.68.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.68.1-2
- Build with support for dlopening libclang.so at runtime

* Sun Sep 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.68.1-1
- Update to version 0.68.1; Fixes RHBZ#2168598

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.63.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jan 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-4
- Ensure bindgen-cli is always linked to libclang

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.63.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-2
- Ensure binary is linked with libclang instead of using dlopen

* Fri Nov 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.63.0-1
- Update to version 0.63.0

* Fri Nov 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.62.0-1
- Initial import (#2143685)
## END: Generated by rpmautospec
